# Deutsches Sprachpaket für VS Code

Das deutsche Sprachpaket bietet eine lokalisierte Benutzeroberfläche für VS Code.

## Verwendung

Sie können die Standardsprache der Benutzeroberfläche außer Kraft setzen, indem Sie die VS Code-Anzeigesprache explizit über den Befehl "Anzeigesprache konfigurieren" festlegen. 

Drücken Sie "STRG+UMSCHALT+P", um die Befehlspalette aufzurufen, und beginnen Sie mit der Eingabe von "Anzeige", um den Befehl "Anzeigesprache konfigurieren" zu filtern und anzuzeigen.

Drücken Sie die EINGABETASTE, und eine Liste installierter Sprachen nach Gebietsschema wird angezeigt. Das aktuelle Gebietsschema ist hervorgehoben. Wählen Sie ein anderes Gebietsschema aus, um die Sprache der Benutzeroberfläche zu wechseln.

Siehe [Dokumentation](https://go.microsoft.com/fwlink/?LinkId=761051) für mehr Informationen.

## Unterstützen

Um Feedback zur Verbesserung der Übersetzung zu übermitteln, erstellen Sie ein Issue im Repository "vscode-loc".

Die Übersetzungszeichenfolgen werden in Microsoft Localization Platform verwaltet. Die Änderung kann nur in Microsoft Localization Platform durchgeführt und dann in das Repository "vscode-loc" exportiert werden. Der Pull Request wird daher im Repository "vscode-loc" nicht akzeptiert.


## Lizenz

Der Quellcode und die Zeichenketten sind unter der Lizenz [MIT](https://github.com/Microsoft/vscode-loc/blob/master/LICENSE.md) lizenziert.

## Credits

Dieses Sprachpaket wurde durch Beiträge von der Community für die Community lokalisiert. Herzlichen Dank an die Mitwirkenden aus der Community, die dieses Paket verfügbar gemacht haben.

**Top Unterstützer:**

* Carsten Kneip
* J.M.
* Carsten Siemens

**Unterstützer:**

* Levin Rickert
* Christian Gräfe
* thefreshman89
* Dejan Dinic
* Jakob von der Haar
* Ingo Bleile
* David Ullmer
* Volkmar Rigo
* Stephan
* Felix H
* Jonas Thelemann
* Jakob
* Jakob Fahr
* LosSandreas
* Markus Weber
* Markus Hatvan
* Ettore Atalan
* Arne Lehmann
* Matt Bierner
* Jens Suessmeyer
* Sascha Corti
* Jonas Droste
* johosek
* Christian Studer
* Curundor
* Florian Seidl
* Väinämö Łūmikērø

**Viel Vergnügen!**

#  German Language Pack for VS Code

German Language Pack provides localized UI experience for VS Code.

## Usage

You can override the default UI language by explicitly setting the VS Code display language using the **Configure Display Language** command.

Press `Ctrl+Shift+P` to bring up the **Command Palette** then start typing `display` to filter and display the **Configure Display Language** command.

Press `Enter` and a list of installed languages by locale is displayed, with the current locale highlighted. Select another `locale` to switch UI language.

See [Docs](https://go.microsoft.com/fwlink/?LinkId=761051) for more information.

## Contributing

For feedback of translation improvement, please create Issue in [vscode-loc](https://github.com/microsoft/vscode-loc) repo.

The translation strings are maintained in Microsoft Localization Platform. Change can only be made in Microsoft Localization Platform then export to vscode-loc repo. So pull request won't be accepted in vscode-loc repo.

## License

The source code and strings are licensed under the [MIT](https://github.com/Microsoft/vscode-loc/blob/master/LICENSE.md) license.

## Credits

German Language Pack is brought to you through "By the community, for the community" community localization effort.

Special thanks to community contributors for making it available.

**Top Contributors:**

* Carsten Kneip
* J.M.
* Carsten Siemens

**Contributors:**

* Levin Rickert
* Christian Gräfe
* thefreshman89
* Dejan Dinic
* Jakob von der Haar
* Ingo Bleile
* David Ullmer
* Volkmar Rigo
* Stephan
* Felix H
* Jonas Thelemann
* Jakob
* Jakob Fahr
* LosSandreas
* Markus Weber
* Markus Hatvan
* Ettore Atalan
* Arne Lehmann
* Matt Bierner
* Jens Suessmeyer
* Sascha Corti
* Jonas Droste
* johosek
* Christian Studer
* Curundor
* Florian Seidl
* Väinämö Łūmikērø

**Enjoy!**
