#  Japanese Language Pack for VS Code

Japanese Language Pack は VS Code にローカライズされた UI を提供します。

## 使用法

既定の UI 言語をオーバーライドするには、**Configure Display Language** コマンドを使用して、VS Code の表示言語を明示的に設定します。
`Ctrl+Shift+P` を押して "コマンド パレット" を表示し、`display` と入力して **Configure Display Language** コマンドをフィルターして表示します。`Enter` キーを押すと、インストールされている言語の一覧がロケールごとに表示され、現在のロケールが強調表示されます。UI 言語を切り替えるには、別の "ロケール" を選択してください。

詳細については [Docs](https://go.microsoft.com/fwlink/?LinkId=761051) を参照してください。

## 貢献

翻訳改善のためのフィードバックについては、[vscode-loc](https://github.com/microsoft/vscode-loc) リポジトリにイシューを作成してください。
その翻訳文字列は Microsoft Localization Platform で管理されています。変更は Microsoft Localization Platform でのみ行うことができ、その後 vscode-loc リポジトリにエクスポートします。そのため、pull request は vscode loc リポジトリでは受け入れられません。

## ライセンス

The source code and strings are licensed under the [MIT](https://github.com/Microsoft/vscode-loc/blob/master/LICENSE.md) license.

## クレジット

Japanese Language Pack は "By the community, for the community" のコミュニティ ローカライゼーション活動によって届けられます。

これを可能にするコミュニティの貢献者達に感謝します。

**トップ貢献者:**

* Shunya Tajima
* Yuichi Nukiyama
* Satoshi Kajiura
* Yosuke Sano
* Seiji Momoto
* Tomoaki Yoshizawa

**貢献者:**

* Takayoshi Tanaka
* Yuki Ueda
* yoshioms
* Hiroyuki Mori
* Takashi Takebayashi
* Makoto Sakaguchi
* Toshinori Sugita
* Tempura sukiyaki
* Tetsuya Fukuda
* daisuke osada (daiskeh)
* 得上 竜一
* Kyohei MORIYAMA
* Takashi Kawasaki
* dkp sk

**Enjoy!**


#  Japanese Language Pack for VS Code

Japanese Language Pack provides localized UI experience for VS Code.

## Usage

You can override the default UI language by explicitly setting the VS Code display language using the **Configure Display Language** command.

Press `Ctrl+Shift+P` to bring up the **Command Palette** then start typing `display` to filter and display the **Configure Display Language** command.

Press `Enter` and a list of installed languages by locale is displayed, with the current locale highlighted. Select another `locale` to switch UI language.

See [Docs](https://go.microsoft.com/fwlink/?LinkId=761051) for more information.

## Contributing

For feedback of translation improvement, please create Issue in [vscode-loc](https://github.com/microsoft/vscode-loc) repo.

The translation strings are maintained in Microsoft Localization Platform. Change can only be made in Microsoft Localization Platform then export to vscode-loc repo. So pull request won't be accepted in vscode-loc repo.

## License

The source code and strings are licensed under the [MIT](https://github.com/Microsoft/vscode-loc/blob/master/LICENSE.md) license.

## Credits

Japanese Language Pack had received contribution through "By the community, for the community" community localization effort.

Special thanks to community contributors for making it available.

**Top Contributors:**

* Shunya Tajima
* Yuichi Nukiyama
* Satoshi Kajiura
* Yosuke Sano
* Seiji Momoto
* Tomoaki Yoshizawa


**Contributors:**

* Takayoshi Tanaka
* Yuki Ueda
* yoshioms
* Hiroyuki Mori
* Takashi Takebayashi
* Makoto Sakaguchi
* Toshinori Sugita
* Tempura sukiyaki
* Tetsuya Fukuda
* daisuke osada (daiskeh)
* 得上 竜一
* Kyohei MORIYAMA
* Takashi Kawasaki
* dkp sk

**Enjoy!**
